/*  Да се напише програма, в която потребителя въвежда
 *  число N, след което въвежда още N-на-брой числа.
 *  Програмата намира и извежда сумата и произведението
 *  на тези числа.
 */
#include <iostream>
using namespace std;

const int NUMBERS_LIMIT = 100;

int main()  {

    int count;

    do {
        cout << "Input numbers count [1, " << NUMBERS_LIMIT << "]: ";
        cin >> count;
    } while(count < 1 || count > NUMBERS_LIMIT);

    cout << "You will now input " << count << " numbers: " << endl;

    int numbers[NUMBERS_LIMIT];


    for(int i = 0; i < count; ++i) {
        cout << "Number " << i + 1 << " = ";
        cin >> numbers[i];
    }

    int sum = 0;
    int product = 1;

    for(int i = 0; i < count; ++i) {
        sum += numbers[i];
        product *= numbers[i];
    }

    cout << "Sum: " << sum << "; Product: " << product << endl;

    return 0;
}
